Error
A valid request URL is required to generate request examples{
"jobs": [
{
"jobId": "<string>",
"jobConfig": {
"id": "<string>"
},
"hostname": "<string>",
"result": {
"jobConfigId": "<string>",
"jobRunId": "<string>",
"docsWritten": 123,
"exception": {
"job": {
"id": "<string>",
"canonicalName": "<string>",
"uri": "<string>"
},
"jobRunId": "<string>",
"httpStatusCode": 123,
"error": "<string>",
"message": "<string>",
"details": "<string>",
"cause": {
"cause": "<unknown>",
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"message": "<string>",
"localizedMessage": "<string>",
"suppressed": "<array>"
},
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"localizedMessage": "<string>",
"suppressed": [
{
"cause": "<unknown>",
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"message": "<string>",
"localizedMessage": "<string>",
"suppressed": "<array>"
}
],
"httpStatusMessage": "<string>",
"class": "<string>",
"requestId": "<string>"
}
},
"startTime": "<string>",
"endTime": "<string>",
"duration": 123
}
]
}Put experiments metrics
PUT
/
experiments
/
{id}
/
metrics
Error
A valid request URL is required to generate request examples{
"jobs": [
{
"jobId": "<string>",
"jobConfig": {
"id": "<string>"
},
"hostname": "<string>",
"result": {
"jobConfigId": "<string>",
"jobRunId": "<string>",
"docsWritten": 123,
"exception": {
"job": {
"id": "<string>",
"canonicalName": "<string>",
"uri": "<string>"
},
"jobRunId": "<string>",
"httpStatusCode": 123,
"error": "<string>",
"message": "<string>",
"details": "<string>",
"cause": {
"cause": "<unknown>",
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"message": "<string>",
"localizedMessage": "<string>",
"suppressed": "<array>"
},
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"localizedMessage": "<string>",
"suppressed": [
{
"cause": "<unknown>",
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"message": "<string>",
"localizedMessage": "<string>",
"suppressed": "<array>"
}
],
"httpStatusMessage": "<string>",
"class": "<string>",
"requestId": "<string>"
}
},
"startTime": "<string>",
"endTime": "<string>",
"duration": 123
}
]
}Path Parameters
The experiment ID
Query Parameters
When true, run the job synchronously; the request will not return until the metrics calculations jobs are complete
The maximum amount of time to wait for metrics calculation jobs to complete, in seconds. Applicable only if syncis 'true'
Response
200 - application/json
successful operation
Show child attributes
Show child attributes
Was this page helpful?
Get metrics associated with all runs of this experiment, current and past. Get metrics associated with a particular run of this experiment.
⌘I